Linter: Support API query for getting the list of categories
Closed, ResolvedPublic

Description

I think it would be interesting to have an API query returning the list of categories that Linter can generate.
In external tools, it would give the ability to show to the user what categories are available and let them choose on which to work on.

NicoV created this task.Dec 13 2016, 10:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 10:50 AM
Aklapper renamed this task from Linter extension: API query for getting the list of categories to Support API query for getting the list of categories.Dec 13 2016, 12:50 PM
Legoktm renamed this task from Support API query for getting the list of categories to Linter: Support API query for getting the list of categories.Dec 14 2016, 9:38 AM

Change 327436 had a related patch set uploaded (by Legoktm):
Add Linter categories to action=query&meta=siteinfo

https://gerrit.wikimedia.org/r/327436

Change 327436 merged by jenkins-bot:
Add Linter categories to action=query&meta=siteinfo

https://gerrit.wikimedia.org/r/327436

Legoktm closed this task as Resolved.Mar 16 2017, 7:19 AM
Legoktm claimed this task.